Name:           obs-studio
Version:        0.10.0
Release:        2%{?dist}
Summary:        Open Broadcaster Software Studio

License:        GPLv2+ 
URL:            https://obsproject.com/
Source0:        https://github.com/jp9000/obs-studio/archive/%{version}.tar.gz

BuildRequires:  desktop-file-utils

BuildRequires:  gcc-objc
BuildRequires:  cmake
BuildRequires:  libX11-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libv4l-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  x264-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXinerama-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  jansson-devel
BuildRequires:  jack-audio-connection-kit-devel
Requires:       ffmpeg x264

%description
Open Broadcaster Software is free and open source
software for video recording and live streaming.

%package devel
Summary:        Open Broadcaster Software Studio header files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for Open Broadcaster Software


%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%make_install
desktop-file-validate %{buildroot}%{_datadir}/applications/obs.desktop

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/obs-plugins
mv %{buildroot}/usr/lib/libobs*.so* %{buildroot}%{_libdir}
%endif

%post
/sbin/ldconfig
update-desktop-database >&/dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database >&/dev/null || :
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files
%doc README
%license COPYING
%{_bindir}/obs
%{_prefix}/lib/cmake/LibObs
%{_libdir}/libobs-opengl.so.0
%{_libdir}/libobs-opengl.so.0.0
%{_libdir}/libobs.so.0
%{_libdir}/libobsglad.so.0
%{_prefix}/lib/obs-plugins
%{_datadir}/applications/obs.desktop
%{_datadir}/icons/hicolor/256x256/apps/obs.png
%{_datadir}/obs

%files devel
%{_includedir}/obs
%{_libdir}/libobs.so
%{_libdir}/libobs-opengl.so
%{_libdir}/libobsglad.so

%changelog
* Wed May 13 2015 Momcilo Medic <fedorauser@fedoraproject.org> - 0.10.0-2
- added license file to %%files section

* Wed May 13 2015 Momcilo Medic <fedorauser@fedoraproject.org> - 0.10.0-1
- Updated to 0.10.0

* Sun Mar 29 2015 Momcilo Medic <fedorauser@fedoraproject.org> - 0.9.1-1
- Initial .spec file
